Compilation error for C++ RSBTools on Fedora 12
09/22/2011 03:56 PM - X. Alameda-Pineda

Status: Resolved Start date: 09/22/2011
Priority: Normal Due date:
Assignee: % Done: 100%
Category: C++ Tools Estimated time: 0.50 hour
Target version: 0.4
Description

When compiling the rsb tools for c++ I get the following error (under Fedora 12):

[ 10%] Building CXX object logger/CMakeFiles/rsblogger.dir/StatisticsEventFormatter.cpp.o
In file included from /local_home/alamedap/Software/rsb/trunk/cpp/tools/logger/StatisticsEventFormatter.cpp:36:                       
       
/usr/share/rsc/../../include/boost/accumulators/statistics_fwd.hpp: In member function ‘typename
boost::numeric::functional::average<Sample, long unsigned int, typename boost::numeric::functional::tag<T>::type,
void>::result_type boost::accumulators::impl::lazy_variance_impl<Sample, MeanFeature>::result(const Args&) const [with Args
= boost::parameter::aux::arg_list<boost::parameter::aux::tagged_argument<boost::accumulators::tag::accumulator, const
boost::accumulators::accumulator_set<double, boost::accumulators::features<boost::accumulators::tag::mean,
boost::accumulators::tag::variance(boost::accumulators::lazy), mpl_::na, mpl_::na, mpl_::na, mpl_::na, mpl_::na, mpl_::na,
mpl_::na, mpl_::na, mpl_::na, mpl_::na, mpl_::na, mpl_::na, mpl_::na, mpl_::na, mpl_::na, mpl_::na, mpl_::na, mpl_::na>, void>
>, boost::parameter::aux::empty_arg_list>, Sample = double, MeanFeature = boost::accumulators::tag::mean]’:
/usr/share/rsc/../../include/boost/accumulators/framework/accumulator_set.hpp:397:   instantiated from ‘typename
boost::mpl::apply<AccumulatorSet, Feature, mpl_::na, mpl_::na, mpl_::na, mpl_::na>::type::result_type
boost::accumulators::extract_result(const AccumulatorSet&) [with Feature = boost::accumulators::tag::variance,
AccumulatorSet = boost::accumulators::accumulator_set<double,
boost::accumulators::features<boost::accumulators::tag::mean, boost::accumulators::tag::variance(boost::accumulators::lazy),
mpl_::na, mpl_::na, mpl_::na, mpl_::na, mpl_::na, mpl_::na, mpl_::na, mpl_::na, mpl_::na, mpl_::na, mpl_::na, mpl_::na,
mpl_::na, mpl_::na, mpl_::na, mpl_::na, mpl_::na, mpl_::na>, void>]’
/usr/share/rsc/../../include/boost/accumulators/framework/extractor.hpp:65:   instantiated from ‘typename
boost::accumulators::detail::extractor_result<AccumulatorSet, Feature>::type boost::accumulators::detail::do_extract(const
AccumulatorSet&, mpl_::true_) [with Feature = boost::accumulators::tag::variance, AccumulatorSet =
boost::accumulators::accumulator_set<double, boost::accumulators::features<boost::accumulators::tag::mean,
boost::accumulators::tag::variance(boost::accumulators::lazy), mpl_::na, mpl_::na, mpl_::na, mpl_::na, mpl_::na, mpl_::na,
mpl_::na, mpl_::na, mpl_::na, mpl_::na, mpl_::na, mpl_::na, mpl_::na, mpl_::na, mpl_::na, mpl_::na, mpl_::na, mpl_::na>,
void>]’
/usr/share/rsc/../../include/boost/accumulators/framework/extractor.hpp:104:   instantiated from ‘typename
boost::accumulators::detail::extractor_result<A1, Feature>::type boost::accumulators::extractor<Feature>::operator()(const
Arg1&) const [with Arg1 = StatsType, Feature = boost::accumulators::tag::variance]’
/local_home/alamedap/Software/rsb/trunk/cpp/tools/logger/StatisticsEventFormatter.cpp:88:   instantiated from here
/usr/share/rsc/../../include/boost/accumulators/statistics_fwd.hpp:87: error: ‘template<int N> struct
boost::accumulators::tag::moment’ is not a function,
/usr/share/rsc/../../include/boost/accumulators/statistics/moment.hpp:104: error:   conflict with ‘template<int T2, class Arg1>
typename boost::accumulators::detail::extractor_result<Arg1, boost::accumulators::tag::moment<T2> >::type
boost::accumulators::extract::moment(const Arg1&)’
/usr/share/rsc/../../include/boost/accumulators/statistics/variance.hpp:54: error:   in call to ‘moment’
make[2]: *** [logger/CMakeFiles/rsblogger.dir/StatisticsEventFormatter.cpp.o] Error 1
make[1]: *** [logger/CMakeFiles/rsblogger.dir/all] Error 2
make: *** [all] Error 2

04/25/2024 1/2



Associated revisions
Revision 4c80765e - 09/27/2011 09:09 AM - J. Wienke

Disable statistics formatter for boost 1.39

fixes #583

History
#1 - 09/22/2011 04:03 PM - J. Wienke

What is the exact boost version on Fedora 12?

#2 - 09/22/2011 04:05 PM - J. Wienke
- Category set to C++ Tools
- Target version set to 0.4
- Estimated time set to 0.50

#3 - 09/22/2011 04:11 PM - J. Wienke
- Subject changed from Installing RSBTools for C++ to Compilation error for C++ RSBTools on Fedora 12

#4 - 09/22/2011 04:12 PM - J. Wienke
- Description updated

#5 - 09/26/2011 02:16 PM - X. Alameda-Pineda

The version is 1.39.0 (Release 9.fc12). Cheers.

#6 - 09/27/2011 01:37 AM - J. Moringen

Maybe we can just disable the statistics functionality for older Boost versions once #519 is resolved?

#7 - 09/27/2011 09:10 AM - J. Wienke
- Status changed from New to Resolved
- % Done changed from 0 to 100

Applied in changeset r2737.
